Bug 168619 - After running up2date synaptic touchpad dies and USB mouse slows to 4 updates/second
After running up2date synaptic touchpad dies and USB mouse slows to 4 updates...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-18 03:46 EDT by Ukri Niemimuukko
Modified: 2015-01-04 17:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:34:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ukri Niemimuukko 2005-09-18 03:46:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
After updating everything except the kernel from the up2date, the synaptic touchpad on my Fujitsu Siemens laptop dies completely. Also USB mouse slows down dramatically. 

/var/log/messages has this error message while connecting the USB mouse:

Sep 18 10:28:50 localhost kernel: usb 3-2: new low speed USB device using ohci_hcd and address 3
Sep 18 10:28:51 localhost kernel: input: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:13.1-2
Sep 18 10:28:51 localhost hal.hotplug[3701]: DEVPATH is not set (subsystem input)

Building a custom kernel 2.6.12 seems to kill also the usb mouse completely in addition to the touchpad, making the X system completely unusable.

FC4 installer finds the Touchpad fine and there it works. 

xorg.conf settings have not changed (it has the synaptic stuff in there), synaptic driver can be compiled by hand and installed. Problem is, the synaptic hardware is not found, proc/bus/input/devices shows:

I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
H: Handlers=kbd mouse0 event0
B: EV=120017
B: KEY=40000 4 2000078 3802078 f840d001 b2ffffdf ffefffff ffffffff fffffffe
B: REL=140
B: MSC=10
B: LED=7

I: Bus=0003 Vendor=046d Product=c012 Version=1300
N: Name="Logitech USB-PS/2 Optical Mouse"
P: Phys=usb-0000:00:13.1-2/input0
H: Handlers=mouse1 event1
B: EV=7
B: KEY=f0000 0 0 0 0 0 0 0 0
B: REL=103




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Buy a crappy Fujitsu Siemens Amilo L 1310G laptop
2.Install FC4, enjoy your synaptic touchpad
3.Run up2date for everything but the kernel, see your touchpad die
  

Actual Results:  Touchpad died. HW not found anymore. FC4 installer still finds it but the installed system no longer does.

Expected Results:  Everything should be "up 2 date"

Additional info:
Comment 1 Dave Jones 2005-11-10 15:07:25 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Dave Jones 2006-02-03 00:58:50 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 John Thacker 2006-05-04 21:34:09 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.